ros-rolling-rosbag2-performance-benchmarking (0.33.0-1noble) noble; urgency=high

  * Upstream quality changes from Apex.AI part-2 (#1924 <https://github.com/ros2/rosbag2/issues/1924>)
  * Contributors: Michael Orlov, Christophe Bedard

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 25 Apr 2025 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.32.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 18 Apr 2025 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.31.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 02 Feb 2025 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.30.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 26 Nov 2024 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.29.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 03 Sep 2024 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.28.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Jun 2024 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.27.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 30 Apr 2024 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.26.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 17 Apr 2024 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.26.0-1noble) noble; urgency=high

  * Use middleware send and receive timestamps from message_info during recording (#1531 <https://github.com/ros2/rosbag2/issues/1531>)
  * Update to use yaml-cpp version 0.8.0. (#1605 <https://github.com/ros2/rosbag2/issues/1605>)
  * Contributors: Chris Lalancette, jmachowinski

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 16 Apr 2024 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.25.0-1noble) noble; urgency=high

  * Add option to set compression threads priority (#1457 <https://github.com/ros2/rosbag2/issues/1457>)
  * Add per group statistics for rosbag2_performance_benchmarking report (#1306 <https://github.com/ros2/rosbag2/issues/1306>)
  * Contributors: Michael Orlov, jmachowinski

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 27 Mar 2024 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.24.0-1noble) noble; urgency=high

  * Set CPU affinity for producers and recorder from benchmark parameters (#1305 <https://github.com/ros2/rosbag2/issues/1305>)
  * Add CPU usage to rosbag2_performance_benchmarking results report (#1304 <https://github.com/ros2/rosbag2/issues/1304>)
  * Add config option to use storage_id parameter in benchmark_launch.py (#1303 <https://github.com/ros2/rosbag2/issues/1303>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Jul 2023 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.23.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 28 Apr 2023 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.22.0-1noble) noble; urgency=high

  * Add tests for rosbag2_performance_benchmarking pkg (#1268 <https://github.com/ros2/rosbag2/issues/1268>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Apr 2023 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.21.0-1noble) noble; urgency=high

  * Fix expectations for rosbag2 return code in rosbag2_performance_benchmarking (#1267 <https://github.com/ros2/rosbag2/issues/1267>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use thread pool to run benchmark publishers in rosbag2_performance_benchmarking (#1250 <https://github.com/ros2/rosbag2/issues/1250>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Michael Orlov, Shane Loretz, carlossvg

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Apr 2023 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.20.0-1noble) noble; urgency=high

  * Skip ament_package() call when not building rosbag2_performance_benchmarking (#1242 <https://github.com/ros2/rosbag2/issues/1242>)
  * Contributors: Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 Feb 2023 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.19.0-1noble) noble; urgency=high

  * Add option to specify a message type (#1153 <https://github.com/ros2/rosbag2/issues/1153>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * Replace language for "db3"/"db"/"database" (#1194 <https://github.com/ros2/rosbag2/issues/1194>)
  * Remove explicit sqlite3 from code (#1166 <https://github.com/ros2/rosbag2/issues/1166>)
  * Contributors: Emerson Knapp, Michael Orlov, carlossvg

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 13 Jan 2023 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.18.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 15 Nov 2022 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.17.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 30 Jul 2022 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.16.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 11 May 2022 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.15.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 06 Apr 2022 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.15.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.14.1-1noble) noble; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.14.0-1noble) noble; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Contributors: Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.13.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.12.0-1noble) noble; urgency=high

  * Enable YAML encoding/decoding for RecordOptions and StorageOptions (#916 <https://github.com/ros2/rosbag2/issues/916>)
    * Enable YAML encoding/decoding for RecordOptions and StorageOptions
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.11.0-1noble) noble; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 08 Nov 2021 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.10.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 22 Oct 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.10.0-1noble) noble; urgency=high

  * Updated node declare_parameter to new syntax (#882 <https://github.com/ros2/rosbag2/issues/882>)
  * Updated benchmark package to use writer close() instead of old reset() (#881 <https://github.com/ros2/rosbag2/issues/881>)
  * Contributors: Adam Dąbrowski

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 19 Oct 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.9.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 May 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.8.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 19 Apr 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.7.0-1noble) noble; urgency=high

  * fixed a memory leak in no-transport benchmark (#674 <https://github.com/ros2/rosbag2/issues/674>)
  * report of performance improvements in rosbag2 (roughly since Foxy) (#651 <https://github.com/ros2/rosbag2/issues/651>)
  * Performance benchmarking improvements (#634 <https://github.com/ros2/rosbag2/issues/634>)
  * Contributors: Adam Dąbrowski, Piotr Jaroszek

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.6.0-1noble) noble; urgency=high

  * Performance benchmarking refactor (#594 <https://github.com/ros2/rosbag2/issues/594>)
  * Contributors: Adam Dąbrowski

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 01 Feb 2021 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.5.0-1noble) noble; urgency=high

  * Sqlite storage double buffering (#546 <https://github.com/ros2/rosbag2/issues/546>)
  * Contributors: Adam Dąbrowski

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 02 Dec 2020 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.4.0-1noble) noble; urgency=high

  * read yaml config file (#497 <https://github.com/ros2/rosbag2/issues/497>)
  * add storage_config_uri (#493 <https://github.com/ros2/rosbag2/issues/493>)
  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * performance testing packages (#442 <https://github.com/ros2/rosbag2/issues/442>)
  * Contributors: Adam Dąbrowski, Karsten Knese, Michael Jeronimo

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 19 Nov 2020 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.3.2-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.3.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.3.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.8-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 May 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.7-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.6-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 07 May 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.5-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.4-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 19 Nov 2019 01:51:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.3-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Nov 2019 21:55:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.2-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.2.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.1.2-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.1.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 09 May 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.1.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.0.5-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 27 Dec 2018 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.0.4-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 19 Dec 2018 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.0.3-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 14 Dec 2018 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.0.2-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Dec 2018 08:00:00 -0000

ros-rolling-rosbag2-performance-benchmarking (0.0.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Dec 2018 08:00:00 -0000


